

/*
DROP TRIGGER t_INS_regions;
DROP TRIGGER t_INS_localitats;
DROP TRIGGER t_INS_estatsVotacio;
DROP TRIGGER t_INS_opcions;
DROP TRIGGER t_INS_votacions;
DROP TRIGGER t_INS_estadistiquesVotacions;
DROP TRIGGER t_INS_opcionsVotacio;
DROP TRIGGER t_INS_historicVotacions;
DROP TRIGGER t_INS_logProcediments;
*/

/*
DROP SEQUENCE s_regions;
DROP SEQUENCE s_localitats;
DROP SEQUENCE s_estatsVotacio;
DROP SEQUENCE s_opcions;
DROP SEQUENCE s_votacions;
DROP SEQUENCE s_estadistiquesVotacions;
DROP SEQUENCE s_opcionsVotacio;
DROP SEQUENCE s_historicVotacions;
DROP SEQUENCE s_logProcediments;

*/

CREATE SEQUENCE s_regions			INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE s_localitats			INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE s_estatsVotacio			INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE s_opcions			INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE s_votacions			INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE s_estadistiquesVotacions	INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE s_opcionsVotacio		INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE s_historicVotacions		INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE s_logProcediments 		INCREMENT BY 1 START WITH 1;



CREATE OR REPLACE TRIGGER t_INS_regions
 BEFORE INSERT ON regions
 FOR EACH ROW
 BEGIN
  SELECT s_regions.NEXTVAL INTO :NEW.id FROM DUAL;
 END t_INS_regions;
/


CREATE OR REPLACE TRIGGER t_INS_localitats
 BEFORE INSERT ON localitats
 FOR EACH ROW
 BEGIN
  SELECT s_localitats.NEXTVAL INTO :NEW.id FROM DUAL;
 END t_INS_localitats;
/


CREATE OR REPLACE TRIGGER t_INS_estatsVotacio
 BEFORE INSERT ON estatsVotacio
 FOR EACH ROW
 BEGIN
  SELECT s_estatsVotacio.NEXTVAL INTO :NEW.id FROM DUAL;
 END t_INS_estatsVotacio;
/


CREATE OR REPLACE TRIGGER t_INS_opcions
 BEFORE INSERT ON opcions
 FOR EACH ROW
 BEGIN
  SELECT s_opcions.NEXTVAL INTO :NEW.id FROM DUAL;
 END t_INS_opcions;
/


CREATE OR REPLACE TRIGGER t_INS_votacions
 BEFORE INSERT ON votacions
 FOR EACH ROW
 BEGIN
  SELECT s_votacions.NEXTVAL INTO :NEW.id FROM DUAL;
 END t_INS_votacions;
/


CREATE OR REPLACE TRIGGER t_INS_estadistiquesVotacions
 BEFORE INSERT ON estadistiquesVotacions
 FOR EACH ROW
 BEGIN
  SELECT s_estadistiquesVotacions.NEXTVAL INTO :NEW.id FROM DUAL;
 END t_INS_estadistiquesVotacions;
/


CREATE OR REPLACE TRIGGER t_INS_opcionsVotacio
 BEFORE INSERT ON opcionsVotacio
 FOR EACH ROW
 BEGIN
  SELECT s_opcionsVotacio.NEXTVAL INTO :NEW.id FROM DUAL;
 END t_INS_opcionsVotacio;
/


CREATE OR REPLACE TRIGGER t_INS_historicVotacions
 BEFORE INSERT ON historicVotacions
 FOR EACH ROW
 BEGIN
  SELECT s_historicVotacions.NEXTVAL INTO :NEW.id FROM DUAL;
 END t_INS_historicVotacions;
/




CREATE OR REPLACE TRIGGER t_INS_logProcediments
 BEFORE INSERT ON logProcediments
 FOR EACH ROW
 BEGIN
  SELECT s_logProcediments.NEXTVAL INTO :NEW.id FROM DUAL;
 END t_INS_logProcediments;
/

