SET SERVEROUTPUT ON;
SET LINESIZE 180;


DECLARE

-- variables que es faran servir a diferents parts de l'arxiu
  x 		NUMBER(2) := 0;
  nou_any 	NUMBER(4) := 0;
  primer	NUMBER(4) := 0;
  RSP 		VARCHAR2(200 CHAR);
  cens_global	VARCHAR2(30 CHAR);
  codi		CHAR(2) := NULL;
  id		NUMBER := 0;
  id1		NUMBER := 0;
  id2		NUMBER := 0;
  any_vot	VARCHAR2(10);
  data_x	VARCHAR2(12 CHAR);
  pais		VARCHAR2(30 CHAR);
  cod_pais	CHAR(2);
  id_vota	NUMBER := 0;
  id_opc	NUMBER := 0;
BEGIN



-- insercions a la taula anys
-- s'inseriran 'x' anys a partir de 'primer' que contindr l'any actual del sistema (incls)
-- ----------------------------------------------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||'insercions a la taula anys');
 dbms_output.put_line('-------------------------------------------------');

 x:= 30;
 nou_any := 2000;
 primer := nou_any;
 LOOP
  UOC_TFC.pk_votacions.p_altaAnys(nou_any, RSP);
  dbms_output.put_line('alta any '||nou_any||' : '||RSP);
  nou_any := nou_any+1;
  EXIT WHEN nou_any = primer+x;
 END LOOP;


-- insercions a la taula codisISO (codi_pais, nom_pais)
-- ----------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a la taula codisISO');
 dbms_output.put_line('-------------------------------------------------');
 UOC_TFC.pk_territoris.p_altacodisISO('ZQ', 'codi de pais neutre', RSP);
 dbms_output.put_line('alta codi pais neutre ZQ: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('AT', 'Austria', RSP);
 dbms_output.put_line('alta codi AT: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('BE', 'Belgium', RSP);
 dbms_output.put_line('alta codi BE: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('BG', 'Bulgaria', RSP);
 dbms_output.put_line('alta codi BU: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('DK', 'Denmark', RSP);
 dbms_output.put_line('alta codi DK: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('SK', 'Slovakia', RSP);
 dbms_output.put_line('alta codi SK: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('SI', 'Slovenia', RSP);
 dbms_output.put_line('alta codi SI: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('ES', 'Spain', RSP);
 dbms_output.put_line('alta codi ES: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('EE', 'Estonia', RSP);
 dbms_output.put_line('alta codi EE: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('FI', 'Finland', RSP);
 dbms_output.put_line('alta codi FI: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('FR', 'France', RSP);
 dbms_output.put_line('alta codi FR: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('DE', 'Germany', RSP);
 dbms_output.put_line('alta codi DE: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('GR', 'Greece', RSP);
 dbms_output.put_line('alta codi GR: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('HU', 'Hungary', RSP);
 dbms_output.put_line('alta codi HU: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('IE', 'Ireland', RSP);
 dbms_output.put_line('alta codi IE: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('IT', 'Italy', RSP);
 dbms_output.put_line('alta codi IT: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('LV', 'Latvia', RSP);
 dbms_output.put_line('alta codi Lv: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('LT', 'Lithuania', RSP);
 dbms_output.put_line('alta codi LT: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('LU', 'Luxembourg', RSP);
 dbms_output.put_line('alta codi LU: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('MT', 'Malta', RSP);
 dbms_output.put_line('alta codi MT: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('NL', 'Netherlands', RSP);
 dbms_output.put_line('alta codi NL: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('PL', 'Poland', RSP);
 dbms_output.put_line('alta codi PL: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('PT', 'Portugal', RSP);
 dbms_output.put_line('alta codi PO: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('RO', 'Romania', RSP);
 dbms_output.put_line('alta codi RO: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('SE', 'Sweden', RSP);
 dbms_output.put_line('alta codi SE: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('GB', 'United Kingdom', RSP);
 dbms_output.put_line('alta codi GB: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('CZ', 'Czech Republic', RSP);
 dbms_output.put_line('alta codi CZ: '||RSP);
 UOC_TFC.pk_territoris.p_altacodisISO('CY', 'Cyprus', RSP);
 dbms_output.put_line('alta codi CY: '||RSP);



-- insercions a la taula paisos (nom_pais, codi_pais)
-- --------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a la taula paisos');
 dbms_output.put_line('-------------------------------------------------');
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Austria');
 UOC_TFC.pk_territoris.p_altaPais('Austria', codi, RSP);
 dbms_output.put_line('alta pais Austria: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Belgium');
 UOC_TFC.pk_territoris.p_altaPais('Belgica', codi, RSP);
 dbms_output.put_line('alta pais Belgica: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Bulgaria');
 UOC_TFC.pk_territoris.p_altaPais('Bulgaria', codi, RSP);
 dbms_output.put_line('alta pais Bulgaria: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Denmark');
 UOC_TFC.pk_territoris.p_altaPais('Dinamarca', codi, RSP);
 dbms_output.put_line('alta pais Dinamarca: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Slovakia');
 UOC_TFC.pk_territoris.p_altaPais('Eslovaquia', codi, RSP);
 dbms_output.put_line('alta pais Eslovaquia: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Slovenia');
 UOC_TFC.pk_territoris.p_altaPais('Eslovenia', codi, RSP);
 dbms_output.put_line('alta pais Eslovenia: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Spain');
 UOC_TFC.pk_territoris.p_altaPais('Espanya', codi, RSP);
 dbms_output.put_line('alta pais Espanya: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Estonia');
 UOC_TFC.pk_territoris.p_altaPais('Estonia', codi, RSP);
 dbms_output.put_line('alta pais Estonia: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Finland');
 UOC_TFC.pk_territoris.p_altaPais('Finlandia', codi, RSP);
 dbms_output.put_line('alta pais Finlandia: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('France');
 UOC_TFC.pk_territoris.p_altaPais('Francia', codi, RSP);
 dbms_output.put_line('alta pais Frana: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Germany');
 UOC_TFC.pk_territoris.p_altaPais('Alemanya', codi, RSP);
 dbms_output.put_line('alta pais Alemanya: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Greece');
 UOC_TFC.pk_territoris.p_altaPais('Grecia', codi, RSP);
 dbms_output.put_line('alta pais Grecia: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Hungary');
 UOC_TFC.pk_territoris.p_altaPais('Hongria', codi, RSP);
 dbms_output.put_line('alta pais Hongria: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Ireland');
 UOC_TFC.pk_territoris.p_altaPais('Irlanda', codi, RSP);
 dbms_output.put_line('alta pais Irlanda: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Italy');
 UOC_TFC.pk_territoris.p_altaPais('Italia', codi, RSP);
 dbms_output.put_line('alta pais Italia: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Latvia');
 UOC_TFC.pk_territoris.p_altaPais('Letonia', codi, RSP);
 dbms_output.put_line('alta pais Letonia: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Lithuania');
 UOC_TFC.pk_territoris.p_altaPais('Lituania', codi, RSP);
 dbms_output.put_line('alta pais Lituania: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Luxembourg');
 UOC_TFC.pk_territoris.p_altaPais('Luxemburg', codi, RSP);
 dbms_output.put_line('alta pais Luxemburg: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Malta');
 UOC_TFC.pk_territoris.p_altaPais('Malta', codi, RSP);
 dbms_output.put_line('alta pais Malta: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Netherlands');
 UOC_TFC.pk_territoris.p_altaPais('Holanda', codi, RSP);
 dbms_output.put_line('alta pais Holanda: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Poland');
 UOC_TFC.pk_territoris.p_altaPais('Polonia', codi, RSP);
 dbms_output.put_line('alta pais Polonia: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Portugal');
 UOC_TFC.pk_territoris.p_altaPais('Portugal', codi, RSP);
 dbms_output.put_line('alta pais Portugal: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Romania');
 UOC_TFC.pk_territoris.p_altaPais('Romania', codi, RSP);
 dbms_output.put_line('alta pais Romania: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Sweden');
 UOC_TFC.pk_territoris.p_altaPais('Suecia', codi, RSP);
 dbms_output.put_line('alta pais Suecia: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('United Kingdom');
 UOC_TFC.pk_territoris.p_altaPais('Regne Unit', codi, RSP);
 dbms_output.put_line('alta pais Regne Unit: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Czech Republic');
 UOC_TFC.pk_territoris.p_altaPais('Txecoslovaquia', codi, RSP);
 dbms_output.put_line('alta pais Txecoslovaquia: '||RSP);
 SELECT codi_pais INTO codi FROM UOC_TFC.codisISO WHERE nom_pais = ('Cyprus');
 UOC_TFC.pk_territoris.p_altaPais('Xipre', codi, RSP);
 dbms_output.put_line('alta pais Xipre: '||RSP);



-- insercions a la taula regions (id, id_pais, nom_regio)
-- ------------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a la taula regions');
 dbms_output.put_line('-------------------------------------------------');
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Andalusia', RSP);
 dbms_output.put_line('alta regio Andalusia: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Arago', RSP);
 dbms_output.put_line('alta regio Arago: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Asturies', RSP);
 dbms_output.put_line('alta regio Asturies: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Balears', RSP);
 dbms_output.put_line('alta regio Balears: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Canaries', RSP);
 dbms_output.put_line('alta regio Canaries: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Cantabria', RSP);
 dbms_output.put_line('alta regio Cantabria: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Castella i Lleo', RSP);
 dbms_output.put_line('alta regio Castella i Lleo: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Castella la Manxa', RSP);
 dbms_output.put_line('alta regio Castella la Manxa: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Catalunya', RSP);
 dbms_output.put_line('alta regio Catalunya: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Extremadura', RSP);
 dbms_output.put_line('alta regio Extremadura: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Galicia', RSP);
 dbms_output.put_line('alta regio Galicia: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Comunitat de Madrid', RSP);
 dbms_output.put_line('alta regio Comunitat de Madrid: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Comunitat de Murcia', RSP);
 dbms_output.put_line('alta regio Comunitat de Murcia: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Navarra', RSP);
 dbms_output.put_line('alta regio Navarra: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Pais Basc', RSP);
 dbms_output.put_line('alta regio Pais Basc: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Rioja', RSP);
 dbms_output.put_line('alta regio Rioja: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Espanya', 'Comunitat Valenciana', RSP);
 dbms_output.put_line('alta regio Comunitat Valenciana: '||RSP);

 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Baden-Wurtenberg', RSP);
 dbms_output.put_line('alta regio Baden-Wurtenberg: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Baviera', RSP);
 dbms_output.put_line('alta regio Baviera: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Berlin', RSP);
 dbms_output.put_line('alta regio Berlin: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Brandemburgo', RSP);
 dbms_output.put_line('alta regio Brandemburgo: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Bremen', RSP);
 dbms_output.put_line('alta regio Bremen: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Hamburgo', RSP);
 dbms_output.put_line('alta regio Hamburgo: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Hesse', RSP);
 dbms_output.put_line('alta regio Hesse: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Mecklemburg-pomerania occidental', RSP);
 dbms_output.put_line('alta regio Mecklemburgo-pomerania occidental: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Baja Sajonia', RSP);
 dbms_output.put_line('alta regio Baja Sajonia: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Renania del norte-Westfalia', RSP);
 dbms_output.put_line('alta regio Renania del norte-Westfalia: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Renania-Palatinado', RSP);
 dbms_output.put_line('alta regio Renania-Palatinado: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Sarre', RSP);
 dbms_output.put_line('alta regio Sarre: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Sajonia', RSP);
 dbms_output.put_line('alta regio Sajonia: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Sajonia-Anhalt', RSP);
 dbms_output.put_line('alta regio Sajonia-Anhalt: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Schleswig-Holstein', RSP);
 dbms_output.put_line('alta regio Schleswig-Holstein: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Alemanya', 'Turingia', RSP);
 dbms_output.put_line('alta regio Turingia: '||RSP);

 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Els Abrucos', RSP);
 dbms_output.put_line('alta regio Els Abrucos: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Basilicata', RSP);
 dbms_output.put_line('alta regio Basilicata: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Calabria', RSP);
 dbms_output.put_line('alta regio Calabria: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Campania', RSP);
 dbms_output.put_line('alta regio Campania: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Emilia-Romanya', RSP);
 dbms_output.put_line('alta regio Emilia-Romanya: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Friul--Venecia Julia', RSP);
 dbms_output.put_line('alta regio Friul--Venecia Julia: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Laci', RSP);
 dbms_output.put_line('alta regio Laci: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Liguria', RSP);
 dbms_output.put_line('alta regio Liguria: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Llombardia', RSP);
 dbms_output.put_line('alta regio Llombardia: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Les Marques', RSP);
 dbms_output.put_line('alta regio Les Marques: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Molise', RSP);
 dbms_output.put_line('alta regio Molise: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Piemont', RSP);
 dbms_output.put_line('alta regio Piemont: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Apulia', RSP);
 dbms_output.put_line('alta regio Apulia: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Sardenya', RSP);
 dbms_output.put_line('alta regio Sardenya: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Vall d''Aosta', RSP);
 dbms_output.put_line('alta regio Vall d''Aosta: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Toscana', RSP);
 dbms_output.put_line('alta regio Toscana: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Umbria', RSP);
 dbms_output.put_line('alta regio Umbria: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Sicilia', RSP);
 dbms_output.put_line('alta regio Sicilia: '||RSP);
 UOC_TFC.pk_territoris.p_altaRegio(-1, 'Italia', 'Veneto', RSP);
 dbms_output.put_line('alta regio Veneto: '||RSP);




-- insercions a la taula localitats (id, id_regio, nom_localitat)
-- --------------------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a la taula localitats');
 dbms_output.put_line('------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Andalusia';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Sevilla', RSP);
 dbms_output.put_line('alta localitat Sevilla: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Arago';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Saragossa', RSP);
 dbms_output.put_line('alta localitat Saragossa: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Asturies';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Oviedo', RSP);
 dbms_output.put_line('alta localitat Oviedo: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Balears';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Palma de Mallorca', RSP);
 dbms_output.put_line('alta localitat Palma de Mallorca: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Canaries';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Les Palmes de Gran Canaria', RSP);
 dbms_output.put_line('alta localitat Les palmes de Gran Canaria: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Cantabria';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Santander', RSP);
 dbms_output.put_line('alta localitat Santander: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Castella i Lleo';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Valladolid', RSP);
 dbms_output.put_line('alta localitat Valladolid: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Castella la Manxa';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Toledo', RSP);
 dbms_output.put_line('alta localitat Toledo: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Catalunya';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Barcelona', RSP);
 dbms_output.put_line('alta localitat Barcelona: '||RSP);
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Girona', RSP);
 dbms_output.put_line('alta localitat Girona: '||RSP);
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Tarragona', RSP);
 dbms_output.put_line('alta localitat Tarragona: '||RSP);
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Lleida', RSP);
 dbms_output.put_line('alta localitat Lleida: '||RSP);
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Olot', RSP);
 dbms_output.put_line('alta localitat Olot: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Extremadura';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Merida', RSP);
 dbms_output.put_line('alta localitat Merida: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Galicia';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Santiago de Compostela', RSP);
 dbms_output.put_line('alta localitat Santiago de Compostela: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Comunitat de Madrid';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Madrid', RSP);
 dbms_output.put_line('alta localitat Madrid: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Comunitat de Murcia';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Murcia', RSP);
 dbms_output.put_line('alta localitat Murcia: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Navarra';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Pamplona', RSP);
 dbms_output.put_line('alta localitat Pamplona: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Pais Basc';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Vitoria', RSP);
 dbms_output.put_line('alta localitat Vitoria: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Rioja';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Logronyo', RSP);
 dbms_output.put_line('alta localitat Logronyo: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Comunitat Valenciana';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Valencia', RSP);
 dbms_output.put_line('alta localitat Valencia: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Baden-Wurtenberg';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Sttutgart', RSP);
 dbms_output.put_line('alta localitat Sttutgart: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Baviera';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Munich', RSP);
 dbms_output.put_line('alta localitat Munich: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Berlin';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Berlin', RSP);
 dbms_output.put_line('alta localitat Berlin: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Brandemburgo';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Potsdam', RSP);
 dbms_output.put_line('alta localitat Potsdam: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Bremen';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Bremen', RSP);
 dbms_output.put_line('alta localitat Bremen: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Hamburgo';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Hamburgo', RSP);
 dbms_output.put_line('alta localitat Hamburgo: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Hesse';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Wiesbaden', RSP);
 dbms_output.put_line('alta localitat Wiesbaden: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Mecklemburg-pomerania occidental';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Schwerin', RSP);
 dbms_output.put_line('alta localitat Schwerin: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Baja Sajonia';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Hannover', RSP);
 dbms_output.put_line('alta localitat Hannover: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Renania del norte-Westfalia';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Dusseldorf', RSP);
 dbms_output.put_line('alta localitat Dusseldorf: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Renania-Palatinado';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Maguncia', RSP);
 dbms_output.put_line('alta localitat Maguncia: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Sarre';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Saarbrucken', RSP);
 dbms_output.put_line('alta localitat Saarbrucken: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Sajonia';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Dresde', RSP);
 dbms_output.put_line('alta localitat Dresde: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Sajonia-Anhalt';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Magdeburgo', RSP);
 dbms_output.put_line('alta localitat Magdeburgo: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Schleswig-Holstein';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Kiel', RSP);
 dbms_output.put_line('alta localitat Kiel: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Turingia';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Erfurt', RSP);
 dbms_output.put_line('alta localitat Erfurt: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Els Abrucos';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'L''Aquila', RSP);
 dbms_output.put_line('alta localitat L''Aquila: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Basilicata';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Potenza', RSP);
 dbms_output.put_line('alta localitat Potenza: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Calabria';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Catanzaro', RSP);
 dbms_output.put_line('alta localitat Catanzaro: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Campania';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Napols', RSP);
 dbms_output.put_line('alta localitat Napols: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Emilia-Romanya';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Bolonya', RSP);
 dbms_output.put_line('alta localitat Bolonya: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Friul--Venecia Julia';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Trieste', RSP);
 dbms_output.put_line('alta localitat Trieste: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Laci';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Roma', RSP);
 dbms_output.put_line('alta localitat Roma: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Liguria';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Genova', RSP);
 dbms_output.put_line('alta localitat Genova: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Llombardia';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Mila', RSP);
 dbms_output.put_line('alta localitat Mila: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Les Marques';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Ancona', RSP);
 dbms_output.put_line('alta localitat Ancona: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Molise';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Campobasso', RSP);
 dbms_output.put_line('alta localitat Campobasso: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Piemont';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Tori', RSP);
 dbms_output.put_line('alta localitat Tori: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Apulia';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Bari', RSP);
 dbms_output.put_line('alta localitat Bari: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Sardenya';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Caller', RSP);
 dbms_output.put_line('alta localitat Caller: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Vall d''Aosta';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Aosta', RSP);
 dbms_output.put_line('alta localitat Aosta: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Toscana';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Florencia', RSP);
 dbms_output.put_line('alta localitat Florencia: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Umbria';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Perusa', RSP);
 dbms_output.put_line('alta localitat Perusa: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Sicilia';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Palerm', RSP);
 dbms_output.put_line('alta localitat Palerm: '||RSP);
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Veneto';
 UOC_TFC.pk_territoris.p_altaLocalitat(-1, id1, 'Venecia', RSP);
 dbms_output.put_line('alta localitat Venecia: '||RSP);






-- insercions a la taula estatsVotacio (id, nom_estat)
-- ----------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a la taula estatsVotacio');
 dbms_output.put_line('-----------------------------------------------------');
 UOC_TFC.pk_votacions.p_altaEstatVotacio(-1, 'edicio', RSP);
 dbms_output.put_line('alta estat votacio edicio: '||RSP);
 UOC_TFC.pk_votacions.p_altaEstatVotacio(-1, 'pendent obertura', RSP);
 dbms_output.put_line('alta estat votacio pendent obertura: '||RSP);
 UOC_TFC.pk_votacions.p_altaEstatVotacio(-1, 'oberta', RSP);
 dbms_output.put_line('alta estat votacio oberta: '||RSP);
 UOC_TFC.pk_votacions.p_altaEstatVotacio(-1, 'finalitzada', RSP);
 dbms_output.put_line('alta estat votacio finalitzada: '||RSP);







-- insercions a la taula censGlobal (nom_cens)
-- -------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a la taula censGlobal (i prova de donar el cens de baixa/alta)');
 dbms_output.put_line('-------------------------------------------------');
 UOC_TFC.pk_territoris.p_altaCensGlobal('Antic cens global', RSP);
 dbms_output.put_line('alta cens global ''Antic cens global'': '||RSP);

 UOC_TFC.pk_territoris.p_baixaCensGlobal('Antic cens global', RSP);
 dbms_output.put_line('baixa del cens global ''Antic cens global'': '||RSP);

 UOC_TFC.pk_territoris.p_altaCensGlobal('cens global CE', RSP);
 dbms_output.put_line('alta del nou cens global ''Cens global CE'': '||RSP);




-- insercions a la taula censosEstatals (nom_cens, id_cens_global, codi_pais)
-- --------------------------------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a la taula censosEstatals (i prova de donar un cens de baixa/alta)');
 dbms_output.put_line('-----------------------------------------------------');

 SELECT nom_cens INTO cens_global FROM UOC_TFC.censGlobal WHERE nom_cens = 'cens global CE';

 FOR pais IN (SELECT nom_pais, codi_pais FROM UOC_TFC.paisos) LOOP
	UOC_TFC.pk_territoris.p_altaCensEstatal(concat('cens ', pais.nom_pais), cens_global, pais.codi_pais, RSP);
	dbms_output.put_line('alta cens estatal '||pais.nom_pais||': '||RSP);
 END LOOP;


  UOC_TFC.pk_territoris.p_baixaCensEstatal('cens Xipre', RSP);
  dbms_output.put_line('baixa cens estatal (Xipre) que no tingui votacions associades en estat ''oberta'' o ''finalitzada'': '||RSP);
  UOC_TFC.pk_territoris.p_altaCensEstatal('cens Xipre', 'cens global CE', 'CY', RSP);
  dbms_output.put_line('alta cens estatal Xipre: '||RSP);


-- insercions a la taula censosRegionals (nom_cens, id_cens_estatal, id_regio, nom_regio)
-- --------------------------------------------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a la taula censosRegionals (i prova de donar un cens de baixa/alta)');
 dbms_output.put_line('------------------------------------------------------');

 FOR regio1 IN (SELECT id_pais, nom_regio FROM UOC_TFC.regions) LOOP

	 FOR regio2 IN (SELECT id FROM UOC_TFC.regions WHERE id_pais = regio1.id_pais AND nom_regio = regio1.nom_regio) LOOP

		FOR cens_estat IN (SELECT nom_cens, codi_pais FROM UOC_TFC.censosEstatals) LOOP


				IF ( cens_estat.codi_pais = 'ES' AND regio1.id_pais = 'Espanya') THEN

					UOC_TFC.pk_territoris.p_altaCensRegional(concat('cens ES_', regio1.nom_regio), cens_estat.nom_cens, regio2.id, regio1.nom_regio, RSP);
					dbms_output.put_line('alta cens regional de '||regio1.nom_regio||': '||RSP);

				ELSIF ( cens_estat.codi_pais = 'DE' AND regio1.id_pais = 'Alemanya') THEN


					UOC_TFC.pk_territoris.p_altaCensRegional(concat('cens DE_', regio1.nom_regio), cens_estat.nom_cens, regio2.id, regio1.nom_regio, RSP);
					dbms_output.put_line('alta cens regional de '||regio1.nom_regio||': '||RSP);

				ELSIF ( cens_estat.codi_pais = 'IT' AND regio1.id_pais = 'Italia') THEN


					UOC_TFC.pk_territoris.p_altaCensRegional(concat('cens IT_', regio1.nom_regio), cens_estat.nom_cens, regio2.id, regio1.nom_regio, RSP);
					dbms_output.put_line('alta cens regional de '||regio1.nom_regio||': '||RSP);

				END IF;

		END LOOP;

	 END LOOP;

 END LOOP;

-- baixa/alta de cens regional abans no tingui votacions associades en estat 'oberta'  o 'finalitzada'
  UOC_TFC.pk_territoris.p_baixaCensRegional('cens DE_Hesse', RSP);
  dbms_output.put_line('baixa cens regional (cens DE_Hesse) que no tingui votacions associades en estat ''oberta'' o ''finalitzada'': '||RSP);
  SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Hesse';
  UOC_TFC.pk_territoris.p_altaCensRegional('cens DE_Hesse', 'cens Alemanya', id1, 'Hesse', RSP);
  dbms_output.put_line('alta cens regional de Hesse: '||RSP);





-- insercions a la taula censosLocals (nom_cens, id_cens_regional, id_localitat, nom_localitat, ciutadans_censats)
-- ---------------------------------------------------------------------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a la taula censosLocals (i prova de donar un cens de baixa/alta)');
 dbms_output.put_line('-------------------------------------------------');

-- Espanya ------
 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Andalusia';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Sevilla';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Andalusia_Sevilla', 'cens ES_Andalusia', id2, 'Sevilla', 0, RSP);
 dbms_output.put_line('alta cens Local Andalusia_Sevilla: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Arago';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Saragossa';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Arago_Saragossa', 'cens ES_Arago', id2, 'Saragossa', 0, RSP);
 dbms_output.put_line('alta cens Local Arago_saragossa: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Asturies';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Oviedo';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Asturies_Oviedo', 'cens ES_Asturies', id2, 'Oviedo', 0, RSP);
 dbms_output.put_line('alta cens Local Asturies_Oviedo: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Balears';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Palma de Mallorca';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Balears_Palma', 'cens ES_Balears', id2, 'Palma de Mallorca', 0, RSP);
 dbms_output.put_line('alta cens Local Balears_Palma: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Canaries';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Les Palmes de Gran Canaria';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Canaries_Gran Canaria', 'cens ES_Canaries', id2, 'Les Palmes de Gran Canaria', 0, RSP);
 dbms_output.put_line('alta cens Local Canaries_Gran Canaria: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Cantabria';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Santander';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Cantabria_Santander', 'cens ES_Cantabria', id2, 'Santander', 0, RSP);
 dbms_output.put_line('alta cens Local Cantabria_Santander: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Castella i Lleo';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Valladolid';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Castella i Lleo_Valladolid', 'cens ES_Castella i Lleo', id2, 'Valladolid', 0, RSP);
 dbms_output.put_line('alta cens Local Castella i Lleo_Valladolid: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Castella la Manxa';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Toledo';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Castella la Manxa_Toledo', 'cens ES_Castella la Manxa', id2, 'Toledo', 0, RSP);
 dbms_output.put_line('alta cens Local Castella la Manxa_Toledo: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Catalunya';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Barcelona';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Catalunya_Barcelona', 'cens ES_Catalunya', id2, 'Barcelona', 0, RSP);
 dbms_output.put_line('alta cens Local Catalunya_Barcelona: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Catalunya';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Girona';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Catalunya_Girona', 'cens ES_Catalunya', id2, 'Girona', 0, RSP);
 dbms_output.put_line('alta cens Local Catalunya_Girona: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Catalunya';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Tarragona';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Catalunya_Tarragona', 'cens ES_Catalunya', id2, 'Tarragona', 0, RSP);
 dbms_output.put_line('alta cens Local Catalunya_Tarragona: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Catalunya';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Lleida';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Catalunya_Lleida', 'cens ES_Catalunya', id2, 'Lleida', 0, RSP);
 dbms_output.put_line('alta cens Local Catalunya_Lleida: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Catalunya';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Olot';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Catalunya_Olot', 'cens ES_Catalunya', id2, 'Olot', 0, RSP);
 dbms_output.put_line('alta cens Local Catalunya_Olot: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Extremadura';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Merida';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Extremadura_Merida', 'cens ES_Extremadura', id2, 'Merida', 0, RSP);
 dbms_output.put_line('alta cens Local Extremadura_Merida: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Galicia';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Santiago de Compostela';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Galicia_Santiago de Compostela', 'cens ES_Galicia', id2, 'Santiago de Compostela', 0, RSP);
 dbms_output.put_line('alta cens Local Galicia_Santiago de Compostela: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Comunitat de Madrid';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Madrid';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Comunitat de Madrid_Madrid', 'cens ES_Comunitat de Madrid', id2, 'Madrid', 0, RSP);
 dbms_output.put_line('alta cens Local Comunitat de Madrid_Madrid: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Comunitat de Murcia';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Murcia';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Comunitat de Murcia_Murcia', 'cens ES_Comunitat de Murcia', id2, 'Murcia', 0, RSP);
 dbms_output.put_line('alta cens Local Comunitat de Murcia_Murcia: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Navarra';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Pamplona';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Navarra_Pamplona', 'cens ES_Navarra', id2, 'Pamplona', 0, RSP);
 dbms_output.put_line('alta cens Local Navarra_Pamplona: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Pais Basc';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Vitoria';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Pais Basc_Vitoria', 'cens ES_Pais Basc', id2, 'Vitoria', 0, RSP);
 dbms_output.put_line('alta cens Local Pais Basc_Vitoria: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Rioja';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Logronyo';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Rioja_Logronyo', 'cens ES_Rioja', id2, 'Logronyo', 0, RSP);
 dbms_output.put_line('alta cens Local Rioja_Logronyo: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Espanya' AND nom_regio = 'Comunitat Valenciana';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Valencia';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Comunitat Valenciana_Valencia', 'cens ES_Comunitat Valenciana', id2, 'Valencia', 0, RSP);
 dbms_output.put_line('alta cens Local Comunitat Valenciana_Valencia: '||RSP);

-- Alemanya ----------

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Baden-Wurtenberg';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Sttutgart';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Baden-Wurtenberg_Sttutgart', 'cens DE_Baden-Wurtenberg', id2, 'Sttutgart', 0, RSP);
 dbms_output.put_line('alta cens Local Baden-Wurtenberg_Sttutgart: '||RSP);	

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Baviera';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Munich';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Baviera_Munich', 'cens DE_Baviera', id2, 'Munich', 0, RSP);
 dbms_output.put_line('alta cens Local Baviera_Munich: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Berlin';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Berlin';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Berlin_Berlin', 'cens DE_Berlin', id2, 'Berlin', 0, RSP);
 dbms_output.put_line('alta cens Local Berlin_Berlin: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Brandemburgo';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Potsdam';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Brandemburgo_Potsdam', 'cens DE_Brandemburgo', id2, 'Potsdam', 0, RSP);
 dbms_output.put_line('alta cens Local Brandemburgo_Potsdam: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Bremen';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Bremen';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Bremen_Bremen', 'cens DE_Bremen', id2, 'Bremen', 0, RSP);
 dbms_output.put_line('alta cens Local Bremen_Bremen: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Hamburgo';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Hamburgo';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Hamburgo_Hamburgo', 'cens DE_Hamburgo', id2, 'Hamburgo', 0, RSP);
 dbms_output.put_line('alta cens Local Hamburgo_Hamburgo: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Hesse';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Wiesbaden';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Hesse_Wiesbaden', 'cens DE_Hesse', id2, 'Wiesbaden', 0, RSP);
 dbms_output.put_line('alta cens Local Hesse_Wiesbaden: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Mecklemburg-pomerania occidental';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Schwerin';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Mecklemburgo_Schwerin', 'cens DE_Mecklemburg-pomerania occidental', id2, 'Schwerin', 0, RSP);
 dbms_output.put_line('alta cens Local Mecklemburgo_Schwerin: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Baja Sajonia';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Hannover';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Baja Sajonia_Hannover', 'cens DE_Baja Sajonia', id2, 'Hannover', 0, RSP);
 dbms_output.put_line('alta cens Local Baja Sajonia_Hannover: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Renania del norte-Westfalia';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Dusseldorf';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Renania-Westfalia_Dusseldorf', 'cens DE_Renania del norte-Westfalia', id2, 'Dusseldorf', 0, RSP);
 dbms_output.put_line('alta cens Local Renania-Westfalia_Dusseldorf: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Renania-Palatinado';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Maguncia';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Renania-Palatinado_Maguncia', 'cens DE_Renania-Palatinado', id2, 'Maguncia', 0, RSP);
 dbms_output.put_line('alta cens Local Renania-Palatinado_Maguncia: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Sarre';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Saarbrucken';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Sarre_Saarbrucken', 'cens DE_Sarre', id2, 'Saarbrucken', 0, RSP);
 dbms_output.put_line('alta cens Local Sarre_Saarbrucken: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Sajonia';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Dresde';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Sajonia_Dresde', 'cens DE_Sajonia', id2, 'Dresde', 0, RSP);
 dbms_output.put_line('alta cens Local Sajonia_Dresde: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Sajonia-Anhalt';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Magdeburgo';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Sajonia-Anhalt_Magdeburgo', 'cens DE_Sajonia-Anhalt', id2, 'Magdeburgo', 0, RSP);
 dbms_output.put_line('alta cens Local Sajonia-Anhalt_Magdeburgo: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Schleswig-Holstein';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Kiel';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Schleswig-Holstein_Kiel', 'cens DE_Schleswig-Holstein', id2, 'Kiel', 0, RSP);
 dbms_output.put_line('alta cens Local Schleswig-Holstein_Kiel: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Alemanya' AND nom_regio = 'Turingia';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Erfurt';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Turingia_Erfurt', 'cens DE_Turingia', id2, 'Erfurt', 0, RSP);
 dbms_output.put_line('alta cens Local Turingia_Erfurt: '||RSP);


-- Italia -------------

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Els Abrucos';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'L''Aquila';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Els Abrucos_L''Aquila', 'cens IT_Els Abrucos', id2, 'L''Aquila', 0, RSP);
 dbms_output.put_line('alta cens Local Els Abrucos_L''Aquila: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Basilicata';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Potenza';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Basilicata_Potenza', 'cens IT_Basilicata', id2, 'Potenza', 0, RSP);
 dbms_output.put_line('alta cens Local Basilicata_Potenza: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Calabria';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Catanzaro';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Calabria_Catanzaro', 'cens IT_Calabria', id2, 'Catanzaro', 0, RSP);
 dbms_output.put_line('alta cens Local Calabria_Catanzaro: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Campania';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Napols';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Campania_Napols', 'cens IT_Campania', id2, 'Napols', 0, RSP);
 dbms_output.put_line('alta cens Local Campania_Napols: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Emilia-Romanya';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Bolonya';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Emilia-Romanya_Bolonya', 'cens IT_Emilia-Romanya', id2, 'Bolonya', 0, RSP);
 dbms_output.put_line('alta cens Local Emilia-Romanya_Bolonya: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Friul--Venecia Julia';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Trieste';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Friul--Venecia Julia_Trieste', 'cens IT_Friul--Venecia Julia', id2, 'Trieste', 0, RSP);
 dbms_output.put_line('alta cens Local Friul--Venecia Julia_Trieste: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Laci';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Roma';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Laci_Roma', 'cens IT_Laci', id2, 'Roma', 0, RSP);
 dbms_output.put_line('alta cens Local Laci_Roma: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Liguria';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Genova';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Liguria_Genova', 'cens IT_Liguria', id2, 'Genova', 0, RSP);
 dbms_output.put_line('alta cens Local Liguria_Genova: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Llombardia';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Mila';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Llombardia_Mila', 'cens IT_Llombardia', id2, 'Mila', 0, RSP);
 dbms_output.put_line('alta cens Local Llombardia_Mila: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Les Marques';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Ancona';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Les Marques_Ancona', 'cens IT_Les Marques', id2, 'Ancona', 0, RSP);
 dbms_output.put_line('alta cens Local Les Marques_Ancona: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Molise';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Campobasso';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Molise_Campobasso', 'cens IT_Molise', id2, 'Campobasso', 0, RSP);
 dbms_output.put_line('alta cens Local Molise_Campobasso: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Piemont';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Tori';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Piemont_Tori', 'cens IT_Piemont', id2, 'Tori', 0, RSP);
 dbms_output.put_line('alta cens Local Piemont_Tori: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Apulia';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Bari';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Apulia_Bari', 'cens IT_Apulia', id2, 'Bari', 0, RSP);
 dbms_output.put_line('alta cens Local Apulia_Bari: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Sardenya';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Caller';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Sardenya_Caller', 'cens IT_Sardenya', id2, 'Caller', 0, RSP);
 dbms_output.put_line('alta cens Local Sardenya_Caller: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Vall d''Aosta';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Aosta';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Vall d''Aosta_Aosta', 'cens IT_Vall d''Aosta', id2, 'Aosta', 0, RSP);
 dbms_output.put_line('alta cens Local Vall d''Aosta_Aosta: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Toscana';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Florencia';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Toscana_Florencia', 'cens IT_Toscana', id2, 'Florencia', 0, RSP);
 dbms_output.put_line('alta cens Local Toscana_Florencia: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Umbria';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Perusa';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Umbria_Perusa', 'cens IT_Umbria', id2, 'Perusa', 0, RSP);
 dbms_output.put_line('alta cens Local Umbria_Perusa: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Sicilia';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Palerm';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Sicilia_Palerm', 'cens IT_Sicilia', id2, 'Palerm', 0, RSP);
 dbms_output.put_line('alta cens Local Sicilia_Palerm: '||RSP);

 SELECT id INTO id1 FROM UOC_TFC.regions WHERE id_pais = 'Italia' AND nom_regio = 'Veneto';
 SELECT id INTO id2 FROM UOC_TFC.localitats WHERE id_regio = id1 AND nom_localitat = 'Venecia';
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Veneto_Venecia', 'cens IT_Veneto', id2, 'Venecia', 0, RSP);
 dbms_output.put_line('alta cens Local Veneto_Venecia: '||RSP);


-- alta/baixa de cens local abans no tingui votacions associades en estat 'oberta' o 'finalitzada'
 UOC_TFC.pk_territoris.p_baixaCensLocal('cens Veneto_Venecia', RSP);
 dbms_output.put_line('baixa de cens Local Veneto_Venecia abans no pugui tenir votacions associades en estat ''oberta'' o ''finalitzada'': '||RSP);
 UOC_TFC.pk_territoris.p_altaCensLocal('cens Veneto_Venecia', 'cens IT_Veneto', id2, 'Venecia', 0, RSP);
 dbms_output.put_line('alta cens Local Veneto_Venecia: '||RSP);




-- insercions a la taula opcions (nom_opcio, descripcio, codi_pais, baixa_logica)
-- -------------------------------------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a la taula opcions');
 dbms_output.put_line('-------------------------------------------------');
-- Espanya
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'SI', 'per dipositar un vot afirmatiu en una consulta', 'ZQ', 0, RSP);
 dbms_output.put_line('alta opcio SI: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'NO', 'per dipositar un vot negatiu en una consulta', 'ZQ', 0, RSP);
 dbms_output.put_line('alta opcio NO: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'BLANC', 'per dipositar un vot en blanc en una votacio', 'ZQ', 0, RSP);
 dbms_output.put_line('alta opcio BLANC: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'NUL', 'per dipositar un vot nul en una votacio', 'ZQ', 0, RSP);
 dbms_output.put_line('alta opcio NUL: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'CIU', 'Convergencia i Unio', 'ES', 0, RSP);
 dbms_output.put_line('alta opcio CIU a l''estat espanyol: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'ERC', 'Esquerra Republicana de Catalunya', 'ES', 0, RSP);
 dbms_output.put_line('alta opcio ERC a l''estat espanyol: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'SI', 'Solidaritat per la Independencia', 'ES', 0,  RSP);
 dbms_output.put_line('alta opcio SI a l''estat espanyol: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'CUP', 'Candidatura d''Unitat Popular', 'ES', 0,  RSP);
 dbms_output.put_line('alta opcio CUP a l''estat espanyol: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'ICV', 'Iniciativa per Catalunya Verds', 'ES', 0,  RSP);
 dbms_output.put_line('alta opcio ICV a l''estat espanyol: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'PSOE', 'Partit Socialista Obrer Espanyol', 'ES', 0,  RSP);
 dbms_output.put_line('alta opcio PSOE a l''estat espanyol: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'PSC', 'Partit Socialista De Catalunya', 'ES', 0,  RSP);
 dbms_output.put_line('alta opcio PSC a l''estat espanyol: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'PP', 'Partit Popular', 'ES', 0,  RSP);
 dbms_output.put_line('alta opcio PP a l''estat espanyol: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'IU', 'Izquierda Unida', 'ES', 0,  RSP);
 dbms_output.put_line('alta opcio IU a l''estat espanyol: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'UPD', 'Union Progreso y Democracia', 'ES', 0,  RSP);
 dbms_output.put_line('alta opcio UPD a l''estat espanyol: '||RSP);


-- Alemanya
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'CDU', 'Christlich-Demokratische Union', 'DE', 0,  RSP);
 dbms_output.put_line('alta opcio CDU a Alemanya: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'CSU', 'Christlich-Soziale Union', 'DE', 0, RSP);
 dbms_output.put_line('alta opcio CSU a Alemanya: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'SPD', 'Sozialdemokratische Partei Deutchlands', 'DE', 0, RSP);
 dbms_output.put_line('alta opcio SPD a Alemanya: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'FDP', 'Freie Demokratische Partei', 'DE', 0, RSP);
 dbms_output.put_line('alta opcio FDP a Alemanya: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'LINKE', 'Die Linke', 'DE', 0, RSP);
 dbms_output.put_line('alta opcio LINKE a Alemanya: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'GRUNE', 'Die Grunen', 'DE', 0, RSP);
 dbms_output.put_line('alta opcio GRUNE a Alemanya: '||RSP);

-- Italia
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'DLP', 'Della Liberta de Popolo', 'IT', 0, RSP);
 dbms_output.put_line('alta opcio DLP a Italia: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'PD', 'Partito Democratico', 'IT', 0, RSP);
 dbms_output.put_line('alta opcio PD a Italia: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'LN', 'Liga del Norte', 'IT', 0, RSP);
 dbms_output.put_line('alta opcio LN a Italia: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'DVI', 'Dei Valori de Italia', 'IT', 0, RSP);
 dbms_output.put_line('alta opcio DVI a Italia: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'DDCCU', 'Dei Democratici e di Centro de Unione', 'IT', 0, RSP);
 dbms_output.put_line('alta opcio DDCCU a Italia: '||RSP);
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'DRCP', 'Della Rifondazione Comunista de Partito', 'IT', 0, RSP);
 dbms_output.put_line('alta opcio DRCP a Italia: '||RSP);


-- opci de prova que es donar de baixa lgica
 UOC_TFC.pk_votacions.p_altaOpcio(-1, 'PROVA', 'Opcio que es doanra de baixa logica', 'ES', 0, RSP);
 dbms_output.put_line('alta opcio PROVA per donar-la de baixa logica: '||RSP);

-- baixa de la opci de prova
---------------------------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'donem de baixa logica la opcio de prova');
 dbms_output.put_line('-------------------------------------------------------------------------------');
 UOC_TFC.pk_votacions.p_baixaOpcio('PROVA', 'ES',  RSP);
 dbms_output.put_line('baixa logica de la opcio PROVA a l''estat espanyol: '||RSP);


-- insercions a la taula votacions (id, id_cens_global, id_estat, titol, data_inici, data_fi, any_votacio, adrea_web, president_mesa, num_electors)
-- que provocaran insercions a la taula estadistiquesVotacions
-- ---------------------------------------------------------------------------------------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a les taules votacions i estadistiquesVotacions');
 dbms_output.put_line('-------------------------------------------------------------------------------');

 SELECT nom_cens INTO cens_global FROM UOC_TFC.censGlobal WHERE nom_cens = 'cens global CE';
 SELECT id INTO id1 FROM UOC_TFC.estatsVotacio WHERE nom_estat = 'edicio';

-- votacions finalitzades
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Sevilla de 2 de gener de 2000', '02/01/2000', '02/01/2000', '2000', 'http://www.Sevilla.com', 'Elena Sanchez Gomez', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Sevilla a 02/01/2000: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Munich de 3 de gener de 2000', '03/01/2000', '03/01/2000', '2000', 'http://www.Munich.com', 'Bodo Schuster', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Munich a 03/01/2000: '||RSP);

 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Roma de 2 de gener de 2001', '02/01/2001', '02/01/2001', '2001', 'http://www.Roma.com', 'Donattella Rossi', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Roma a 02/01/2001: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Santander de 3 de gener de 2001', '03/01/2001', '03/01/2001', '2001', 'http://www.Santander.com', 'Jorge Lopez Canton', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Santander a 03/01/2001: '||RSP);

 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Berlin de 2 de gener de 2002', '02/01/2002', '02/01/2002', '2002', 'http://www.Berlin.com', 'Bernd Klose', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Berlin a 02/01/2002: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Toledo de 3 de gener de 2002', '03/01/2002', '03/01/2002', '2002', 'http://www.Toledo.com', 'Maria Ruiz Cabello', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Toledo a 03/01/2002: '||RSP);

 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Florencia de 2 de gener de 2003', '02/01/2003', '02/01/2003', '2003', 'http://www.Florencia.com', 'Giorgio Gagliandi', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Florencia a 02/01/2003: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Madrid de 3 de gener de 2003', '03/01/2003', '03/01/2003', '2003', 'http://www.Madrid.com', 'Ramon Maldonado Gutierrez', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Madrid a 03/01/2003: '||RSP);

 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Barcelona de 2 de gener de 2004', '02/01/2004', '02/01/2004', '2004', 'http://www.Barcelona.com', 'Elena Geli Sallarols', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Barcelona a 02/01/2004: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Murcia de 3 de gener de 2004', '03/01/2004', '03/01/2004', '2004', 'http://www.Murcia.com', 'Vicenta Perez Martinez', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Murcia a 03/01/2004: '||RSP);

 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Dusseldorf de 2 de gener de 2005', '02/01/2005', '02/01/2005', '2005', 'http://www.Dusseldorf.com', 'Ferdinand Hackl', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Dusseldorf a 02/01/2005: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Girona de 3 de gener de 2005', '03/01/2005', '03/01/2005', '2005', 'http://www.Girona.com', 'Pere Pages Bonmati', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Girona a 03/01/2005: '||RSP);

 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Bolonya de 2 de gener de 2006', '02/01/2006', '02/01/2006', '2006', 'http://www.Bolonya.com', 'Giusseppe Rossi', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Bolonya a 02/01/2006: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Murcia de 3 de gener de 2006', '03/01/2006', '03/01/2006', '2006', 'http://www.Murica.com', 'Eduardo Canales Sanchis', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Murcia a 03/01/2006: '||RSP);

 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Hannover de 2 de gener de 2007', '02/01/2007', '02/01/2007', '2007', 'http://www.Hannover.com', 'Eva Fritsch', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Hannover a 02/01/2007: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Florencia de 3 de gener de 2007', '03/01/2007', '03/01/2007', '2007', 'http://www.Florencia.com', 'Giorgio Gagliandi', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Florencia a 03/01/2007: '||RSP);

 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Barcelona de 2 de gener de 2008', '02/01/2008', '02/01/2008', '2008', 'http://www.Barcelona.com', 'Elena Geli Sallarols', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Barcelona a 02/01/2008: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Madrid de 3 de gener de 2008', '03/01/2008', '03/01/2008', '2008', 'http://www.Madrid.com', 'Pedro Leon Duque', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Madrid a 03/01/2008: '||RSP);

 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi d''Olot de 2 de gener de 2010', '02/01/2010', '02/01/2010', '2010', 'http://www.Olot.com', 'Joan Canals Riera', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals d''OLOt 02/01/2010: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Girona de 3 de gener de 2010', '03/01/2010', '03/01/2010', '2010', 'http://www.Girona.com', 'Josep Rius Oliva', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Girona a 03/01/2010: '||RSP);

 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al Parlament de Catalunya de 1 de novembre de 2011', '01/11/2011', '01/11/2011', '2011', 'http://www.Parlamentcatala.com', 'Pere Guinovart Serra', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions al Parlament de Catalunya 01/11/2011: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions a Corts Generals de 2 de novembre de 2011', '02/11/2011', '02/11/2011', '2011', 'http://www.Moncloa.com', 'Ramon Salvador Garcia', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions a Corts Generals 02/11/2011: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al Parlament Europeu de 3 de novembre de 2011', '03/11/2011', '03/11/2011', '2011', 'http://www.Parlamenteuropeu.com', 'Silvia Dantza', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio al Parlament Europeu a 03/11/2011: '||RSP);



-- votacions que estaran en estat 'edicio'. No passaran pels estats 'pendent obertura', 'oberta' ni 'finalitzada'
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Sevilla de 2 de febrer de 2012', '02/02/2012', '02/02/2012', '2012', 'http://www.Sevilla.com', 'Fernando Diaz Lopez', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Sevilla a 02/02/2012: '||RSP);
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Munich de 3 de febrer de 2012', '03/02/2012', '03/02/2012', '2012', 'http://www.Munich.com', 'Bodo Shuster', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Munich a 03/02/2012: '||RSP);

-- votaci en estat 'edicio' que una vegada associats els censos es passar a estat 'pendent obertura'
 UOC_TFC.pk_votacions.p_altaVotacio(-1, cens_global, id1, 'Eleccions al municipi de Roma de 4 de febrer de 2012', '04/02/2012', '04/02/2012', '2012', 'http://www.Roma.com', 'Donattella Rossi', 0, RSP);
 dbms_output.put_line('alta votacio i estadistiquesVotacio de eleccions municipals de Roma a 04/02/2012: '||RSP);





-- insercions a la taula opcionsVotacio (id, id_votacio, id_opcio, num_vots)
-- --------------------------------------------------------------------------------------

 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a la taula opcionsVotacio');
 dbms_output.put_line('-------------------------------------------------');


 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Sevilla de 2 de gener de 2000');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Sevilla de 2 de gener de 2000';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2,5,6,7,8,9,11) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Sevilla de 02/01/2000: '||RSP);
 END LOOP;

 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Munich de 3 de gener de 2000');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Munich de 3 de gener de 2000';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'DE') AND id NOT IN (1,2) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Munich de 03/01/2000: '||RSP);
 END LOOP;



 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Roma de 2 de gener de 2001');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Roma de 2 de gener de 2001';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'IT') AND id NOT IN (1,2) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Roma de 02/01/2001: '||RSP);
 END LOOP;

 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Santander de 3 de gener de 2001');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Santander de 3 de gener de 2001';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2,5,6,7,8,9,11) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Santander de 03/01/2001: '||RSP);
 END LOOP;



 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Berlin de 2 de gener de 2002');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Berlin de 2 de gener de 2002';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'DE') AND id NOT IN (1,2) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Berlin de 02/01/2002: '||RSP);
 END LOOP;

 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Toledo de 3 de gener de 2002');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Toledo de 3 de gener de 2002';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2,5,6,7,8,9,11) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Toledo de 03/01/2002: '||RSP);
 END LOOP;



 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Florencia de 2 de gener de 2003');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Florencia de 2 de gener de 2003';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'IT') AND id NOT IN (1,2) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Florencia de 02/01/2003: '||RSP);
 END LOOP;

 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Madrid de 3 de gener de 2003');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Madrid de 3 de gener de 2003';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2,5,6,7,8,9,11) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Madrid de 03/01/2003: '||RSP);
 END LOOP;



 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Barcelona de 2 de gener de 2004');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Barcelona de 2 de gener de 2004';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2, 10, 13, 14) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Barcelona de 02/01/2004: '||RSP);
 END LOOP;

 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Murcia de 3 de gener de 2004');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Murcia de 3 de gener de 2004';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2,5,6,7,8,9,11) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Murcia de 03/01/2004: '||RSP);
 END LOOP;



 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Dusseldorf de 2 de gener de 2005');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Dusseldorf de 2 de gener de 2005';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'DE') AND id NOT IN (1,2) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Dusseldorf de 02/01/2005: '||RSP);
 END LOOP;

 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Girona de 3 de gener de 2005');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Girona de 3 de gener de 2005';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2, 10, 13, 14) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Girona de 03/01/2005: '||RSP);
 END LOOP;



 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Bolonya de 2 de gener de 2006');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Bolonya de 2 de gener de 2006';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'IT') AND id NOT IN (1,2) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Bolonya de 02/01/2006: '||RSP);
 END LOOP;

 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Murcia de 3 de gener de 2006');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Murcia de 3 de gener de 2006';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2,5,6,7,8,9,11) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Murcia de 03/01/2006: '||RSP);
 END LOOP;


 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Hannover de 2 de gener de 2007');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Hannover de 2 de gener de 2007';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'DE') AND id NOT IN (1,2) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Hannover de 02/01/2007: '||RSP);
 END LOOP;

 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Florencia de 3 de gener de 2007');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Florencia de 3 de gener de 2007';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'IT') AND id NOT IN (1,2) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Florencia de 03/01/2007: '||RSP);
 END LOOP;



 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Barcelona de 2 de gener de 2008');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Barcelona de 2 de gener de 2008';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2, 10, 13, 14) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Barcelona de 02/01/2008: '||RSP);
 END LOOP;

 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Madrid de 3 de gener de 2008');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Madrid de 3 de gener de 2008';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2,5,6,7,8,9,11) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Madrid de 03/01/2008: '||RSP);
 END LOOP;



 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi d''Olot de 2 de gener de 2010');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi d''Olot de 2 de gener de 2010';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2, 10, 13, 14) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi d''Olot de 02/01/2010: '||RSP);
 END LOOP;

 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Girona de 3 de gener de 2010');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Girona de 3 de gener de 2010';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2, 10, 13, 14) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Girona de 03/01/2010: '||RSP);
 END LOOP;



 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions Parlament de Catalunya de 01/11/2011');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al Parlament de Catalunya de 1 de novembre de 2011';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2, 10, 13, 14) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del Parlament de Catalunya 01/11/2011: '||RSP);
 END LOOP;



 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions a Corts Generals de 2 de novembre de 2011');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions a Corts Generals de 2 de novembre de 2011';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio de les Corts Generals 02/11/2011: '||RSP);
 END LOOP;


 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al Parlament Europeu de 3 de novembre de 2011');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al Parlament Europeu de 3 de novembre de 2011';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES', 'DE', 'IT') AND id NOT IN (1,2) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del Parlament Europeu de 12/12/2011: '||RSP);
 END LOOP;


 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Sevilla de 2 de febrer de 2012');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Sevilla de 2 de febrer de 2012';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'ES') AND id NOT IN (1,2,5,6,7,8,9,11) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Sevilla de 02/02/2012: '||RSP);
 END LOOP;


 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Munich de 3 de febrer de 2012');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Munich de 3 de febrer de 2012';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'DE') AND id NOT IN (1,2) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Munich de 03/02/2012: '||RSP);
 END LOOP;


 dbms_output.put_line(CHR(10)||CHR(13)||'opcions eleccions al municipi de Roma de 4 de febrer de 2012');
 dbms_output.put_line('----------------------------------------------------------------');
 SELECT id INTO id1 FROM UOC_TFC.votacions WHERE titol = 'Eleccions al municipi de Roma de 4 de febrer de 2012';

 FOR opcio IN (SELECT id, nom_opcio FROM UOC_TFC.opcions WHERE codi_pais IN ('ZQ', 'IT') AND id NOT IN (1,2) AND baixa_logica = 0) LOOP
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, opcio.id, 0, RSP);
  dbms_output.put_line('alta opcio '||opcio.nom_opcio||' a la votacio del municipi de Roma de 04/02/2012: '||RSP);
 END LOOP;


 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'esborrat i reinsercio d''una opcio de vot en una votacio');
 dbms_output.put_line('----------------------------------------------------------------------');

-- esborrat d'opcio vot en BLANC a les eleccions del municipi de Roma
 SELECT id INTO id2 FROM UOC_TFC.opcions WHERE codi_pais = 'ZQ' AND nom_opcio = 'BLANC';
 UOC_TFC.pk_votacions.p_baixaOpcioVotacio(id1, id2, RSP);
 dbms_output.put_line('baixa opcio amb identificador '||id2||' a la votacio del municipi de Roma de 04/02/2012: '||RSP);


-- nova alta d'opcio vot en BLANC a les eleccions del municipi de Roma
  UOC_TFC.pk_votacions.p_altaOpcioVotacio(-1, id1, id2, 0, RSP);
  dbms_output.put_line('nova alta opcio amb identificador '||id2||' a la votacio del municipi de Roma de 04/02/2012: '||RSP);





-- insercions a la taula ciutadans (num_aleatori, id_cens_local, id_localitat, data_naixement, nom_pais, baixa_logica, num_participacions)
-- ---------------------------------------------------------------------------------------------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'insercions a la taula ciutadans');
 dbms_output.put_line('-------------------------------------------------');

-- ciutadans espanyols -------------------------------------------

FOR i IN 1..196 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Andalusia_Sevilla';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Andalusia_Sevilla', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Andalusia_Sevilla: '||RSP);

END LOOP;


FOR i IN 1..128 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Arago_Saragossa';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Arago_Saragossa', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Arago_Saragossa: '||RSP);

END LOOP;


FOR i IN 1..113 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Asturies_Oviedo';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Asturies_Oviedo', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Asturies_Oviedo: '||RSP);

END LOOP;


FOR i IN 1..144 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Balears_Palma';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Balears_Palma', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Balears_Palma: '||RSP);

END LOOP;


FOR i IN 1..116 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Canaries_Gran Canaria';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Canaries_Gran Canaria', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Canaries_Gran Canaria: '||RSP);

END LOOP;


FOR i IN 1..139 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Cantabria_Santander';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Cantabria_Santander', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Cantabria_Santander: '||RSP);

END LOOP;

FOR i IN 1..115 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Castella i Lleo_Valladolid';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Castella i Lleo_Valladolid', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Castella i Lleo_Valladolid: '||RSP);

END LOOP;

FOR i IN 1..97 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Castella la Manxa_Toledo';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Castella la Manxa_Toledo', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Castella la Manxa_Toledo: '||RSP);

END LOOP;

FOR i IN 1..357 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Catalunya_Barcelona';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Catalunya_Barcelona', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Catalunya_Barcelona: '||RSP);

END LOOP;


FOR i IN 1..150 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Catalunya_Girona';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Catalunya_Girona', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Catalunya_Girona: '||RSP);

END LOOP;

FOR i IN 1..115 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Catalunya_Lleida';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Catalunya_Lleida', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Catalunya_Lleida: '||RSP);

END LOOP;


FOR i IN 1..114 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Catalunya_Tarragona';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Catalunya_Tarragona', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Catalunya_Tarragona: '||RSP);

END LOOP;


FOR i IN 1..88 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Catalunya_Olot';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Catalunya_Olot', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Catalunya_Olot: '||RSP);

END LOOP;


FOR i IN 1..138 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Extremadura_Merida';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Extremadura_Merida', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Extremadura_Merida: '||RSP);

END LOOP;


FOR i IN 1..116 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Galicia_Santiago de Compostela';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Galicia_Santiago de Compostela', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Galicia_Santiago de Compostela: '||RSP);

END LOOP;


FOR i IN 1..352 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Comunitat de Madrid_Madrid';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Comunitat de Madrid_Madrid', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Comunitat de Madrid_Madrid: '||RSP);

END LOOP;

FOR i IN 1..111 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Comunitat de Murcia_Murcia';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Comunitat de Murcia_Murcia', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Comunitat de Murcia_Murcia: '||RSP);

END LOOP;

FOR i IN 1..119 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Navarra_Pamplona';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Navarra_Pamplona', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Navarra_Pamplona: '||RSP);

END LOOP;

FOR i IN 1..188 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Pais Basc_Vitoria';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Pais Basc_Vitoria', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Pais Basc_Vitoria: '||RSP);

END LOOP;

FOR i IN 1..112 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Rioja_Logronyo';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Rioja_Logronyo', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Rioja_Logronyo: '||RSP);

END LOOP;

FOR i IN 1..224 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Comunitat Valenciana_Valencia';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Comunitat Valenciana_Valencia', id2, data_x, 'Espanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Comunitat Valenciana_Valencia: '||RSP);

END LOOP;



-- ciutadans alemanys -------------------------------------------

FOR i IN 1..183 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Baden-Wurtenberg_Sttutgart';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Baden-Wurtenberg_Sttutgart', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Baden-Wurtenberg_Sttutgart: '||RSP);

END LOOP;


FOR i IN 1..242 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Baviera_Munich';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Baviera_Munich', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Baviera_Munich: '||RSP);

END LOOP;

FOR i IN 1..351 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Berlin_Berlin';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Berlin_Berlin', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Berlin_Berlin: '||RSP);

END LOOP;

FOR i IN 1..117 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Brandemburgo_Potsdam';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Brandemburgo_Potsdam', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Brandemburgo_Potsdam: '||RSP);

END LOOP;

FOR i IN 1..218 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Bremen_Bremen';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Bremen_Bremen', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Bremen_Bremen: '||RSP);

END LOOP;

FOR i IN 1..195 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Hamburgo_Hamburgo';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Hamburgo_Hamburgo', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Hamburgo_Hamburgo: '||RSP);

END LOOP;

FOR i IN 1..115 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Hesse_Wiesbaden';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Hesse_Wiesbaden', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Hesse_Wiesbaden: '||RSP);

END LOOP;

FOR i IN 1..114 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Mecklemburgo_Schwerin';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Mecklemburgo_Schwerin', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Mecklemburgo_Schwerin: '||RSP);

END LOOP;

FOR i IN 1..199 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Baja Sajonia_Hannover';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Baja Sajonia_Hannover', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Baja Sajonia_Hannover: '||RSP);

END LOOP;

FOR i IN 1..243 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Renania-Westfalia_Dusseldorf';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Renania-Westfalia_Dusseldorf', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Renania-Westfalia_Dusseldorf: '||RSP);

END LOOP;

FOR i IN 1..112 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Renania-Palatinado_Maguncia';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Renania-Palatinado_Maguncia', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Renania-Palatinado_Maguncia: '||RSP);

END LOOP;

FOR i IN 1..127 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Sarre_Saarbrucken';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Sarre_Saarbrucken', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Sarre_Saarbrucken: '||RSP);

END LOOP;


FOR i IN 1..128 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Sajonia_Dresde';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Sajonia_Dresde', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Sajonia_Dresde: '||RSP);

END LOOP;

FOR i IN 1..120 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Sajonia-Anhalt_Magdeburgo';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Sajonia-Anhalt_Magdeburgo', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Sajonia-Anhalt_Magdeburgo: '||RSP);

END LOOP;

FOR i IN 1..131 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Schleswig-Holstein_Kiel';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Schleswig-Holstein_Kiel', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Schleswig-Holstein_Kiel: '||RSP);

END LOOP;

FOR i IN 1..119 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Turingia_Erfurt';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Turingia_Erfurt', id2, data_x, 'Alemanya', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Turingia_Erfurt: '||RSP);

END LOOP;


-- ciutadans italians -------------------------------------------

FOR i IN 1..66 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Els Abrucos_L''Aquila';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Els Abrucos_L''Aquila', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Els Abrucos_L''Aquila: '||RSP);

END LOOP;


FOR i IN 1..20 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Basilicata_Potenza';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Basilicata_Potenza', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Basilicata_Potenza: '||RSP);

END LOOP;


FOR i IN 1..83 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Calabria_Catanzaro';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Calabria_Catanzaro', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Calabria_Catanzaro: '||RSP);

END LOOP;


FOR i IN 1..158 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Campania_Napols';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Campania_Napols', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Campania_Napols: '||RSP);

END LOOP;


FOR i IN 1..101 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Emilia-Romanya_Bolonya';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Emilia-Romanya_Bolonya', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Emilia-Romanya_Bolonya: '||RSP);

END LOOP;


FOR i IN 1..55 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Friul--Venecia Julia_Trieste';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Friul--Venecia Julia_Trieste', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Friul--Venecia Julia_Trieste: '||RSP);

END LOOP;


FOR i IN 1..170 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Laci_Roma';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Laci_Roma', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Laci_Roma: '||RSP);

END LOOP;


FOR i IN 1..95 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Liguria_Genova';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Liguria_Genova', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Liguria_Genova: '||RSP);

END LOOP;


FOR i IN 1..319 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Llombardia_Mila';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Llombardia_Mila', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Llombardia_Mila: '||RSP);

END LOOP;


FOR i IN 1..68 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Les Marques_Ancona';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Les Marques_Ancona', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Les Marques_Ancona: '||RSP);

END LOOP;


FOR i IN 1..26 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Molise_Campobasso';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Molise_Campobasso', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Molise_Campobasso: '||RSP);

END LOOP;


FOR i IN 1..117 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Piemont_Tori';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Piemont_Tori', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Piemont_Tori: '||RSP);

END LOOP;


FOR i IN 1..111 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Apulia_Bari';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Apulia_Bari', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Apulia_Bari: '||RSP);

END LOOP;



FOR i IN 1..44 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Sardenya_Caller';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Sardenya_Caller', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Sardenya_Caller: '||RSP);

END LOOP;


FOR i IN 1..19 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Vall d''Aosta_Aosta';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Vall d''Aosta_Aosta', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Vall d''Aosta_Aosta: '||RSP);

END LOOP;


FOR i IN 1..108 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Toscana_Florencia';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Toscana_Florencia', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Toscana_Florencia: '||RSP);

END LOOP;


FOR i IN 1..31 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Umbria_Perusa';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Umbria_Perusa', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Umbria_Perusa: '||RSP);

END LOOP;


FOR i IN 1..119 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Sicilia_Palerm';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Sicilia_Palerm', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Sicilia_Palerm: '||RSP);

END LOOP;


FOR i IN 1..99 LOOP

 id1 := UOC_TFC.pk_utils.f_num_aleatori;
 data_x := UOC_TFC.pk_utils.f_data_aleatoria;
 SELECT id_localitat INTO id2 FROM UOC_TFC.censosLocals WHERE nom_cens = 'cens Veneto_Venecia';
 UOC_TFC.pk_ciutadans.p_altaCiutada(id1, 'cens Veneto_Venecia', id2, data_x, 'Italia', 0, 0, RSP);
 dbms_output.put_line('alta ciutada '||id1||' al cens Veneto_Venecia: '||RSP);

END LOOP;


-- donem de baixa logica un ciutada
-----------------------------------------------------

-- ---------------------------------------------------------------------------------------------------------------------------------------
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'es dona de baixa logica un ciutada');
 dbms_output.put_line('-------------------------------------------------');

 SELECT MAX(num_aleatori) INTO id1 FROM UOC_TFC.ciutadans;
 UOC_TFC.pk_ciutadans.p_baixaCiutada(id1, RSP);
 dbms_output.put_line('baixa logica del ciutada '||id1||' '||RSP); 







END;
/

