SET SERVEROUTPUT ON;
SET LINESIZE 180;
CLEAR SCREEN;


-- ------------------------------------------------------ consulta a) del requisit [R6] ---------------------------------------------------------------

				-- Implementada al procediment p_consulta_votacionsPais del paquet pk_consultes --


DECLARE

 llista VARCHAR2(810 CHAR) := NULL;
 llista2 VARCHAR2(810 CHAR) := NULL;

BEGIN


 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'Tot seguit se li demanara el nom d''un pais. Pot escollir entre els seguents (respecti majuscules/minuscules):'||CHR(10)||CHR(13));

 FOR pais IN (SELECT nom_pais FROM UOC_TFC.paisos) LOOP

	llista := pais.nom_pais||', '||llista;

 END LOOP;
 dbms_output.put_line(llista);
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'Cal dir, pero, que actualment nomes han participat en alguna votacio els seguents paisos:'||CHR(10)||CHR(13));
 
 FOR pais IN (SELECT DISTINCT id_pais FROM UOC_TFC.participacionsPaisosVotacions) LOOP

	llista2 := pais.id_pais||CHR(10)||CHR(13)||llista2;

 END LOOP;
 dbms_output.put_line(llista2);


END;
/

PROMPT Escrigui el nom del pais per consultar les votacions que s'hi han produit i premi ENTER
ACCEPT pais PROMPT pais:

DECLARE

 RSP 	VARCHAR2(200 CHAR);
 
BEGIN

 UOC_TFC.pk_consultes.p_consulta_votacionsPais('&pais', RSP);
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'Consulta votacions pais: '||RSP);


END;
/









PAUSE Premi ENTER per veure el llistat de les 10 votacions amb major diferencia percentual entre la opcio mes votada i la menys votada
CLEAR SCREEN;




-- ------------------------------------------------------ consulta b) del requisit [R6] ---------------------------------------------------------------

				-- Implementada al procediment p_consulta_votacionsMesDif del paquet pk_consultes --


DECLARE

 RSP VARCHAR2(200 CHAR);
 
BEGIN

 UOC_TFC.pk_consultes.p_consulta_votacionsMesDif(RSP);
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'LListat de les 10 votacions (si hi son) amb major diferencia percentual entre opcions: '||RSP);


END;
/








PAUSE premi ENTER per veure el llistat de les 10 votacions amb menor diferencia percentual entre la opcio mes votada i la menys votada



-- ------------------------------------------------------ consulta c) del requisit [R6] ---------------------------------------------------------------


			-- Implementada al procediment p_consulta_votacionsMenysDif del paquet pk_consultes --

DECLARE

 RSP VARCHAR2(200 CHAR);
 
BEGIN


 UOC_TFC.pk_consultes.p_consulta_votacionsMenysDif(RSP);
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'LListat de les 10 votacions (si hi son) amb menor diferencia percentual entre opcions: '||RSP||CHR(10)||CHR(13));

END;
/




PAUSE premi ENTER per accedir a la consulta dels censos d'un ciutada
CLEAR SCREEN;







-- ------------------------------------------------------ consulta d) del requisit [R6] ---------------------------------------------------------------


				-- Implementada al procediment p_consulta_censosCiutada del paquet pk_consultes --



DECLARE

 llista VARCHAR2(900 CHAR) := NULL;
 cadena VARCHAR2(10 CHAR) := NULL;

BEGIN


 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'Properament se li demanara el numero aleatori que identifica un ciutada.');
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'Abans, una molt petita mostra dels numeros aleatoris de ciutadans que actualment no estan de baixa (per si els vol utilitzar).'||CHR(10)||CHR(13));

 FOR ciutada IN (SELECT num_aleatori FROM UOC_TFC.ciutadans WHERE MOD(num_aleatori, 501) = 1 AND baixa_logica = 0 ) LOOP

	cadena := TO_CHAR(ciutada.num_aleatori);
	llista := cadena||', '||llista;

 END LOOP;
 dbms_output.put_line(llista);
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13));



END;
/

PROMPT Escrigui el numero aleatori d'un ciutada per consultar els censos als quals pertany i premi ENTER
ACCEPT numero_aleatori PROMPT num_aleatori:
CLEAR SCREEN;

DECLARE

 RSP 	VARCHAR2(200 CHAR);
 
BEGIN

 UOC_TFC.pk_consultes.p_consulta_censosCiutada('&numero_aleatori', RSP);
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'Consulta censos ciutada: '||RSP);


END;
/






PAUSE premi ENTER per accedir a la consulta de l'historic de votacions d'un ciutada.
CLEAR SCREEN;





-- ------------------------------------------------------ consulta e) del requisit [R6] ---------------------------------------------------------------


				-- Implementada al procediment p_consulta_votacionsCiutada del paquet pk_consultes --



DECLARE

 llista VARCHAR2(900 CHAR) := NULL;
 cadena VARCHAR2(10 CHAR) := NULL;

BEGIN


 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'Properament se li demanara el numero aleatori que identifica un ciutada.');
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'Abans, una molt petita mostra dels numeros aleatoris de ciutadans que actualment no estan de baixa (per si els vol utilitzar).'||CHR(10)||CHR(13));

 FOR ciutada IN (SELECT num_aleatori FROM UOC_TFC.ciutadans WHERE MOD(num_aleatori, 503) = 1 AND baixa_logica = 0 ) LOOP

	cadena := TO_CHAR(ciutada.num_aleatori);
	llista := cadena||', '||llista;

 END LOOP;
 dbms_output.put_line(llista);
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13));



END;
/

PROMPT Escrigui el numero aleatori d'un ciutada per consultar les votacions a les que ha participat i a les que no i premi ENTER.
ACCEPT numero_aleatori PROMPT num_aleatori:
CLEAR SCREEN;


DECLARE

 RSP 	VARCHAR2(200 CHAR);
 
BEGIN

 UOC_TFC.pk_consultes.p_consulta_votacionsCiutada('&numero_aleatori', RSP);
 dbms_output.put_line(CHR(10)||CHR(13)||CHR(10)||CHR(13)||'Consulta votacions ciutada: '||RSP);


END;
/





